extends Control

@onready var tree: Tree = $Tree


func _ready() -> void:
	for i in tree.columns:
		tree.set_column_title(i, String.chr("A".unicode_at(0) + i))
		tree.set_column_custom_minimum_width(i, 256)
	
	var last := tree.create_item()
	
	for row in 8:
		var item := last.create_child()
		for col in tree.columns:
			var cell_name := "%s%d" % [String.chr("A".unicode_at(0) + col), row]
			item.set_text(col, cell_name)
			item.set_tooltip_text(col, "Tooltip for %s" % cell_name)
			for i in 3:
				item.add_button(
					col,
					preload("res://AnimationTrackList.svg"),
					1000 * (i + 1) + row * tree.columns + col,
					false, 
					"Button %d for %s" % [i, cell_name]
				)
		last = item


func _process(delta: float) -> void:
	$Label.text = str(tree.get_button_id_at_position(tree.get_local_mouse_position()))


func _on_node_node_node_node_child_entered_tree(node: Node) -> void:
	pass # Replace with function body.
